Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.atp.auth
Class Authentication

    java.lang.Object
      |
      +--com.ibm.atp.auth.Authentication

public class Authentication
extends java.lang.Object

The `Authentication` class is the authentication protocol class.

Version:
  1.00 $Date: 2001/07/28 06:33:47 $
Author:
  ONO Kouichi

Constructor Summary
`Authentication(int turn, java.io.DataInput di, java.net.Socket socket)` Default constructor creates an challenge-response authentication protocol handler.
`Authentication(int turn, java.io.DataInput di, java.net.Socket socket, int manner)` Constructor creates an challenge-response authentication protocol handler.

Method Summary
`boolean` | `authenticate()` Process authentication protocol.
`int` | `getAuthManner()` Returns authentication manner
`java.io.DataInput` | `getDataInput()` Returns data input of packet
`java.net.InetAddress` | `getLocalAddress()` Returns local IP address of socket to be connected/bound
`java.io.OutputStream` | `getOutputStream()` Returns output stream of socket to be connected/bound
`java.net.InetAddress` | `getRemoteAddress()` Returns remote IP address of socket to be connected/bound
`java.lang.String` | `getSelectedDomainName()` Returns selected security domain name.
`SharedSecret` | `getSelectedSecret()` Returns shared secret for selected security domain.
`java.net.Socket` | `getSocket()` Returns socket to be connected/bound.
`int` | `getTurn()` Returns turn of protocol.
`boolean` | `isAuthenticatedMyself()`
`boolean` | `isAuthenticatedOpponent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authentication

    public Authentication(int turn,
                          java.io.DataInput di,
                          java.net.Socket socket)

  Default constructor creates an challenge-response authentication protocol handler.
  Parameters:
    `turn` - turn of protocol
    `di` - data input of packet
    `socket` - socket to be connected/bound

### Authentication

    public Authentication(int turn,
                          java.io.DataInput di,
                          java.net.Socket socket,
                          int manner)

  Constructor creates an challenge-response authentication protocol handler.
  Parameters:
    `turn` - turn of protocol
    `di` - data input of packet
    `socket` - socket to be connected/bound
    `manner` - challenge-response authentication manner

Method Detail

### authenticate

    public final boolean authenticate()
                               throws AuthenticationProtocolException,
                                      java.io.IOException

  Process authentication protocol.
  Throws:
    `AuthenticationProtocolException` - incorrect protocol
    `java.io.IOException` -

### getAuthManner

    public final int getAuthManner()

  Returns authentication manner
  Returns:
    authentication manner

### getDataInput

    public final java.io.DataInput getDataInput()

  Returns data input of packet
  Returns:
    data input of packet

### getLocalAddress

    public final java.net.InetAddress getLocalAddress()

  Returns local IP address of socket to be connected/bound
  Returns:
    local IP address of socket to be connected/bound

### getOutputStream

    public final java.io.OutputStream getOutputStream()

  Returns output stream of socket to be connected/bound
  Returns:
    output stream of socket to be connected/bound

### getRemoteAddress

    public final java.net.InetAddress getRemoteAddress()

  Returns remote IP address of socket to be connected/bound
  Returns:
    remote IP address of socket to be connected/bound

### getSelectedDomainName

    public final java.lang.String getSelectedDomainName()

  Returns selected security domain name.
  Returns:
    selected security domain name

### getSelectedSecret

    public final SharedSecret getSelectedSecret()

  Returns shared secret for selected security domain.
  Returns:
    shared secret for selected security domain

### getSocket

    public final java.net.Socket getSocket()

  Returns socket to be connected/bound.
  Returns:
    socket to be connected/bound

### getTurn

    public final int getTurn()

  Returns turn of protocol.
  Returns:
    turn of protocol

### isAuthenticatedMyself

    public boolean isAuthenticatedMyself()

### isAuthenticatedOpponent

    public boolean isAuthenticatedOpponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD